# Interface XmlConfigFile

All Superinterfaces:
  `ConfigFile`

@Incubating public interface XmlConfigFile extends ConfigFile
An XML config file generated for Visual Studio.

## Method Summary

Modifier and Type
Method
Description
`void`
`withXml(Action<? super XmlProvider> action)`
Add an action that can manipulate the generated file content.

### Methods inherited from interface ConfigFile

`getLocation, setLocation`

## Method Details

### withXml

void withXml(Action<? super XmlProvider> action)
Add an action that can manipulate the generated file content.